Package com.collibra.dgc.core.api.model.instance

# Interface Comment

All Superinterfaces:
  `Entity`, `Resource`, `Serializable`

public interface Comment extends Resource
Represents a comment

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ResourceReference`
  `getBaseResource()`
  Returns the reference to the resource this comment refers to.
  `String`
  `getContent()`
  Returns the actual (HTML) content of the comment.
  `Long`
  `getContentLastModifiedOn()`
  Gets the timestamp (in UTC time standard) of the content last modification.
  `List<User>`
  `getMentionedUsers()`
  Returns list of users which have been mentioned in comment.
  `ResourceReference`
  `getParent()`
  Returns the reference to the comment this comment replies to.
  `boolean`
  `isResolved()`
  Returns whether the comment is resolved or not.

  ### Methods inherited from interface Entity

  `getId, setId`

  ### Methods inherited from interface Resource

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem`

- ## Method Details

  - ### getContent

    String getContent()
    Returns the actual (HTML) content of the comment.
    Returns:
      The actual (HTML) content of the comment

  - ### getParent

    ResourceReference getParent()
    Returns the reference to the comment this comment replies to. If not present then this is top-level comment.
    Returns:
      the reference to the comment this comment replies to

  - ### getBaseResource

    ResourceReference getBaseResource()
    Returns the reference to the resource this comment refers to.
    Returns:
      the reference to the resource this comment refers to

  - ### getMentionedUsers

    List<User> getMentionedUsers()
    Returns list of users which have been mentioned in comment.
    Returns:
      the list of users

  - ### isResolved

    boolean isResolved()
    Returns whether the comment is resolved or not.
    Returns:
      true if the comment is resolved, false otherwise

  - ### getContentLastModifiedOn

    Long getContentLastModifiedOn()
    Gets the timestamp (in UTC time standard) of the content last modification.
    Returns:
      the timestamp (in UTC time standard) of when the content was last modified